Subject: Re: git add -i failed in 2.0.3

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 29 Jul 2014 10:06:58 +0200

[please avoid top-posting]
On 07/29/2014 08:55 AM, Guang Chen wrote:
> I used 1.9.2 before, it was installed with brew as well.
> I didn’t found Git.pm under /usr/local/Cellar/git/, /usr/local/Cellar/git/2.0.3/, and I looked at /usr/local/Cellar/git/1.9.2/, there isn’t a Git.pm either.
>
> type perl says:
> perl is /usr/bin/perl
>
> Additionally, perl --version says:
>
> This is perl 5, version 16, subversion 2 (v5.16.2) built for darwin-thread-multi-2level
> (with 3 registered patches, see perl -V for more detail)
>
> On Jul 29, 2014, at 14:37, Torsten Bögershausen <[email-masked]> wrote:
>
>> On 07/27/2014 05:26 PM, Guang Chen wrote:
>>> I use brew upgrade git to this version on OSX. And when I use git add -i, it says:
>> Which version did you use before?
>> Was it installed with brew as well ?
>>> Can't locate Git.pm in @INC (@INC contains: @@@/git/2.0.3/lib/perl5/site_perl /Applications/Xcode.app/Contents/Developer/Library/Perl/5.16/darwin-thread-multi-2level /Library/Developer/CommandLineTools/Library/Perl/5.16/darwin-thread-multi-2level /Users/guangchen/.opam/system/lib/perl5/darwin-thread-multi-2level /Users/guangchen/.opam/system/lib/perl5 /Library/Perl/5.16/darwin-thread-multi-2level /Library/Perl/5.16 /Network/Library/Perl/5.16/darwin-thread-multi-2level /Network/Library/Perl/5.16 /Library/Perl/Updates/5.16.2 /System/Library/Perl/5.16/darwin-thread-multi-2level /System/Library/Perl/5.16 /System/Library/Perl/Extras/5.16/darwin-thread-multi-2level /System/Library/Perl/Extras/5.16 .) at /usr/local/Cellar/git/2.0.3/libexec/git-core/git-add--interactive line 7.
>>> BEGIN failed--compilation aborted at /usr/local/Cellar/git/2.0.3/libexec/git-core/git-add--interactive line 7.
>> Do you have Git.pm on your disc, somewhere under /usr/local/Cellar/git ?
>>
>> Which perl do you have, (may be more than 1?)
>> I tend to have different perl installations under Mac OS, whch needs
>> tweeking in the PATH, to have the "right one" in the PATH before e.g. the
>> one that comes with Mac OS.
>> (Or write a wrapper script that sets up the PATH and then calls git)
>>
>> What does "type perl" in a command window say?
>>

So git add -i needs perl (which is there) and Git.pm (which isn't there)
There doesn't seem to be a Git.pm at all on your disc ?
I haven't used brew myself, I use to clone git from
git://git.kernel.org/pub/scm/git/git.git,
checkout the version I want,
and run "make install" which installs git under $HOME/bin,
and Git.pm under /Users/tb/share/perl/5.14.2/Git.pm
You can try that, clone into a directory, run "make -k", and see if 
there is a Git.pm ?